From f0e9ccee0c581abbc6c56aec5b4fd675a0d37944 Mon Sep 17 00:00:00 2001
From: innerspacepilot <innerspacepilot@gmx.com>
Date: Sun, 5 May 2019 10:15:42 +0300
Subject: [PATCH] makeself: fix makeself-header.sh not found

---
 srcpkgs/makeself/template | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/makeself/template b/srcpkgs/makeself/template
index eac3c034c43..3160fb5f7b3 100644
--- a/srcpkgs/makeself/template
+++ b/srcpkgs/makeself/template
@@ -1,7 +1,7 @@
 # Template file for 'makeself'
 pkgname=makeself
 version=2.4.0
-revision=1
+revision=2
 archs=noarch
 create_wrksrc=yes
 makedepends="tar gzip bzip2"
@@ -23,6 +23,9 @@ do_build() {
 do_install() {
 	cd ${wrksrc}/${pkgname}-${version}
 
+	# rename makeself-header.sh to makeself-header inside makeself.sh because it will be renamed later
+        sed -i 's/^HEADER=`dirname "$0"`\/makeself-header.sh$/HEADER=`dirname "$0"`\/makeself-header/' makeself.sh
+
 	vmkdir usr/share/man/man1
 	for f in makeself makeself-header; do
 		vbin ${f}.sh ${f}
